TSHTTPHDRURLGET(3ts)

NAME
TSHttpHdrUrlGet - TSHttpHdrUrlGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpHdrUrlGet(TSMBuffer bufp, TSMLoc offset, TSMLoc *locp)

DESCRIPTION

Get a URL object from an HTTP header. bufp and offset must have been retrieved from a header object previously (such as via TSHttpTxnClientReqGet()). locp is updated on success to refer to the URL object. Note this is a URL object, from which URL related information can be extracted.

The value placed in locp is stable only for a single callback, as other callbacks can change the URL object itself (see TSHttpHdrUrlSet()), not just the data in it. That value is also valid only if this function return TS_SUCCESS.

SEE ALSO

TSAPI(3ts), TSHttpTxnClientReqGet(3ts), TSHttpTxnServerReqGet(3ts), TSHttpTxnServerRespGet(3ts), TSHttpTxnClientRespGet(3ts)

COPYRIGHT
2025, dev@trafficserver.apache.org